Bug 744125

Summary: kdb_ldap crash during kinit for bad realm
Product: [Fedora] Fedora Reporter: robert.vanveelen
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: nalin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 16:21:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description robert.vanveelen 2011-10-07 02:27:51 EDT
Description of problem:
krb5kdc process will segfault if using kdb_ldap and a request is sent for a domain that is not in the db. krb5_ldap_get_principal in plugins/kdb/ldap/libkdb_ldap/ldap_principal2.c does not set an appropriate error code (ldap_principal2.c:107 where: st=0) before cleanup causing the server to attempt to dereference a null pointer (do_as_req.c:230 client->princ).

Version-Release number of selected component (if applicable):
1.9.1-12.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1.setup kdc with domain EXAMPLE.COM and dns SRV records
2.on client enable dns_lookup_kdc
3.kinit princ@ExAMPLE.COM
  
Actual results:
krb5kdc will crash if running with single worker, hang with multiple worker threads.

Expected results:
error:
kinit: Client princ@ExAMPLE.COM not found in Kerberos database while getting initial credentials

Additional info:
debian bug report exists for this problem but is not resolved:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=629558
Comment 1 Fedora Update System 2011-10-18 16:21:12 EDT
krb5-1.9.1-14.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/krb5-1.9.1-14.fc15
Comment 2 Fedora Update System 2011-11-15 19:26:49 EST
krb5-1.9.1-14.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora End Of Life 2012-08-07 16:21:19 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping